Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.businessservices
Class ListBusinessServiceCategories

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.businessservices.ListBusinessServiceCategories

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ListBusinessServiceCategoriesResult>, net.customware.gwt.dispatch.shared.Action<ListBusinessServiceCategoriesResult>

    public class ListBusinessServiceCategories

extends java.lang.Object
implements OSAction<ListBusinessServiceCategoriesResult>

Retrieve a list of available Business Service Categories.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `ListBusinessServiceCategoriesResult`

Constructor Summary
`ListBusinessServiceCategories(java.lang.String channelId)` Construct a ListBusinessServiceCategories Action

Method Summary
`java.lang.String` | `getChannelId()` The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListBusinessServiceCategories

    public ListBusinessServiceCategories(java.lang.String channelId)

  Construct a ListBusinessServiceCategories Action

  Parameters:
    `channelId` - The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

Method Detail

### getChannelId

    public java.lang.String getChannelId()

  The channel ID being used, for a GWT client this would typically be "openspaceGWTPull_DefaultChannel".

  Returns:
    Returns the channelId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.